require 'active_record'


module HasNotifications
	class HnNotification < ::ActiveRecord::Base
		# relations
		belongs_to :destination, polymorphic: true, dependent: :destroy
		belongs_to :notification, polymorphic: true, dependent: :destroy

		def mark_as_watched
			#
			# Mark notification as watched
			#
			self.update_attribute(:watched, true)
		end

		def mark_as_unwatched
			#
			# Mark notification as unwatched
			#
			self.update_attribute(:watched, false)
		end
	end
end